Package org.jbpm.process.core.context.swimlane

## Class SwimlaneContext

- java.lang.Object
- - org.jbpm.process.core.context.AbstractContext
  - - org.jbpm.process.core.context.swimlane.SwimlaneContext

- All Implemented Interfaces:
    `Serializable`, `Context`

      public class SwimlaneContext
      extends AbstractContext

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `SWIMLANE_SCOPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SwimlaneContext()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addSwimlane​(Swimlane swimlane)` |
    `Swimlane` | `getSwimlane​(String name)` |
    `Collection<Swimlane>` | `getSwimlanes()` |
    `String` | `getType()` |
    `void` | `removeSwimlane​(String name)` |
    `Context` | `resolveContext​(Object param)` |
    `void` | `setSwimlanes​(Collection<Swimlane> swimlanes)` |

    - ### Methods inherited from class org.jbpm.process.core.context.AbstractContext

      `getContextContainer, getId, setContextContainer, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SWIMLANE_SCOPE

          public static final String SWIMLANE_SCOPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SwimlaneContext

          public SwimlaneContext()

  - ### Method Detail

    - #### getType

          public String getType()

    - #### addSwimlane

          public void addSwimlane​(Swimlane swimlane)

    - #### getSwimlane

          public Swimlane getSwimlane​(String name)

    - #### removeSwimlane

          public void removeSwimlane​(String name)

    - #### getSwimlanes

          public Collection<Swimlane> getSwimlanes()

    - #### setSwimlanes

          public void setSwimlanes​(Collection<Swimlane> swimlanes)

    - #### resolveContext

          public Context resolveContext​(Object param)